ReportItem
id of profile
source social network of profile
Possible values: [ig, fb, tt, tw, li]
twNumber of interest categories for this profile; full trees via GET /report/{reportId}/interests.
categories object[]
Preview of the interest category tree for this profile (same shape as GET /report/{reportId}/interests), truncated to the first 8 interests in display order. Omitted when there are no interests; use the interests endpoint for the complete tree.
id of interest
share of this interest for this profile
relativeWeight of this interest for this profile
When true, this interest is not clickable in the interest-diffs preview or paginated diff list (e.g. new interests UI).
Red-flag bucket label (e.g. Adult, Violence). Real (non-synthetic) parent category name for display badges.
source social network of profile
Possible values: [ig, fb, tt, tw, li]
twinterests object[]required
id of interest
share of this interest for this profile
relativeWeight of this interest for this profile
When true, this interest is not clickable in the interest-diffs preview or paginated diff list (e.g. new interests UI).
Red-flag bucket label (e.g. Adult, Violence). Real (non-synthetic) parent category name for display badges.
source social network of profile
Possible values: [ig, fb, tt, tw, li]
twfollows object[]required
preview of profiles this interest based on
id of profile
id of interest
topInterests object[]required
id of interest
share of this interest for this profile
relativeWeight of this interest for this profile
When true, this interest is not clickable in the interest-diffs preview or paginated diff list (e.g. new interests UI).
Red-flag bucket label (e.g. Adult, Violence). Real (non-synthetic) parent category name for display badges.
source social network of profile
Possible values: [ig, fb, tt, tw, li]
twfriends objectrequired
items object[]required
id of profile
source social network of profile
Possible values: [ig, fb, tt, tw, li]
twsourceProfile object
id of profile
source social network of profile
Possible values: [ig, fb, tt, tw, li]
twSort order used to get this page
Whether there are any friends with common interests available
Whether there are any friends with red flags available
True when the server used a different sort than requested for this page because the requested list was empty while the alternate list had friends (first page / offset 0 only). Clients should align stored sort with sortByRedFlags and avoid a second request.
Sources on which this report has at least one friend (common interests and/or red-flags list). For the friends filter; avoids loading the full report for this list.
Possible values: [ig, fb, tt, tw, li]
redFlags object[]
id of interest
share of this interest for this profile
relativeWeight of this interest for this profile
When true, this interest is not clickable in the interest-diffs preview or paginated diff list (e.g. new interests UI).
Red-flag bucket label (e.g. Adult, Violence). Real (non-synthetic) parent category name for display badges.
source social network of profile
Possible values: [ig, fb, tt, tw, li]
twinterestDiffs object
items object[]required
Date in YYYY-MM format
new object[]required
id of interest
share of this interest for this profile
relativeWeight of this interest for this profile
When true, this interest is not clickable in the interest-diffs preview or paginated diff list (e.g. new interests UI).
Red-flag bucket label (e.g. Adult, Violence). Real (non-synthetic) parent category name for display badges.
source social network of profile
Possible values: [ig, fb, tt, tw, li]
twlost object[]required
id of interest
share of this interest for this profile
relativeWeight of this interest for this profile
When true, this interest is not clickable in the interest-diffs preview or paginated diff list (e.g. new interests UI).
Red-flag bucket label (e.g. Adult, Violence). Real (non-synthetic) parent category name for display badges.
source social network of profile
Possible values: [ig, fb, tt, tw, li]
twTotal count of new interests for this date
Total count of lost interests for this date
{
"image": "string",
"id": "string",
"username": "string",
"fullname": "string",
"imageNotLoaded": true,
"source": "tw",
"link": "string",
"categoriesCount": 0,
"categories": [
{
"id": "string",
"name": "string",
"share": 0,
"relative": 0,
"unactive": true,
"category": "string",
"source": "tw",
"interests": [
{
"id": "string",
"name": "string",
"share": 0,
"relative": 0,
"unactive": true,
"category": "string",
"source": "tw",
"follows": [
{
"image": "string",
"id": "string",
"username": "string",
"fullname": "string",
"imageNotLoaded": true
}
],
"redCatId": "string"
}
]
}
],
"totalInterests": 0,
"topInterests": [
{
"id": "string",
"name": "string",
"share": 0,
"relative": 0,
"unactive": true,
"category": "string",
"source": "tw"
}
],
"friends": {
"items": [
{
"image": "string",
"id": "string",
"username": "string",
"fullname": "string",
"imageNotLoaded": true,
"source": "tw",
"link": "string",
"count": 0,
"redFlagsCount": 0
}
],
"hasMore": true,
"total": 0,
"sourceProfile": {
"image": "string",
"id": "string",
"username": "string",
"fullname": "string",
"imageNotLoaded": true,
"source": "tw",
"link": "string"
},
"sortByRedFlagsDefault": true,
"sortByRedFlags": true,
"hasCommonInterests": true,
"hasRedFlags": true,
"sortByRedFlagsAdjusted": true,
"availableSources": [
"tw"
]
},
"redFlags": [
{
"id": "string",
"name": "string",
"share": 0,
"relative": 0,
"unactive": true,
"category": "string",
"source": "tw"
}
],
"interestDiffs": {
"items": [
{
"date": "2024-07-29",
"new": [
{
"id": "string",
"name": "string",
"share": 0,
"relative": 0,
"unactive": true,
"category": "string",
"source": "tw"
}
],
"lost": [
{
"id": "string",
"name": "string",
"share": 0,
"relative": 0,
"unactive": true,
"category": "string",
"source": "tw"
}
],
"totalNew": 0,
"totalLost": 0
}
]
}
}